#!/bin/sh

REPO_LIST="https://git.faulty.nl/didier/dotfiles"
DOTFILES_DIR="$HOME/.local/dotfiles"

clone() {
  for repo in $REPO_LIST; do
    git clone "$repo" "$DOTFILES_DIR" && return 0
  done
}

main() {
  [ -d "$DOTFILES_DIR" ] || clone
  cd "$DOTFILES_DIR" || exit 1
  ./comp.sh "$@"
}

main "$@"